Bug 889585 - should not offer to change boot disk from within custom storage spoke
Summary: should not offer to change boot disk from within custom storage spoke
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH RejectedBlocker
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-12-21 19:40 UTC by David Lehman
Modified: 2013-01-02 21:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-02 21:49:19 UTC
Type: Bug


Attachments (Terms of Use)

Description David Lehman 2012-12-21 19:40:11 UTC
Description of problem:
When viewing the disk summary in the custom spoke it should not be possible to change the boot disk. There is no code to handle changing it from there -- only from the main storage spoke.

Version-Release number of selected component (if applicable):
anaconda-18.37.6-1

How reproducible:
Always

Steps to Reproduce:
1. Enter custom storage spoke
2. Click on blue text on bottom left
3. Note presence of boot disk indicator and "set as boot disk" button
  
Actual results:
Can change boot disk from custom spoke

Expected results:
Cannot change boot disk from custom spoke

Additional info:

Comment 1 Adam Williamson 2012-12-21 21:31:00 UTC
Discussed at 2012-12-21 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-21/f18final-blocker-review-7.2012-12-21-18.33.log.txt . Rejected as blocker as there isn't really a criterion, but accepted as NTH.

Comment 2 Fedora Update System 2012-12-21 23:32:28 UTC
dracut-024-17.git20121220.fc18, anaconda-18.37.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20838/dracut-024-17.git20121220.fc18,anaconda-18.37.7-1.fc18

Comment 3 Fedora Update System 2012-12-22 21:10:53 UTC
Package dracut-024-17.git20121220.fc18, anaconda-18.37.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-024-17.git20121220.fc18 anaconda-18.37.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20838/dracut-024-17.git20121220.fc18,anaconda-18.37.8-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-02 21:49:21 UTC
dracut-024-17.git20121220.fc18, anaconda-18.37.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.